---
title:  "Joining the Project"
---

There are 3 primary paths within the CentOS Project  for individuals to obtain and grow merit.
The main path is  by proving yourself within a SIG or between SIGs (if the SIGs are related in such a way that merit would be transferred.)
A second path is  to get involved in the primary technical SIG, CentOS Core.
A third path is to be part of the Governing Board.

## Variant or Functional SIGs
Individuals wishing to participate in the CentOS Project typically start as users then contributors and eventually committers to a SIG. A contributor is anyone who contributes something to the Project, such as documentation, code, forum help, wiki edits, IRC moderating, and so forth. A committer is a contributor who has gained the right through merit to commit their own contributions directly to Project source repositories, such as git.centos.org (code) and wiki.centos.org (documentation.)

The initial level of effort required is quite low, and generally consists of those who use CentOS and submit bug reports and patches to the build, or other contributions as per a SIG's needs. By creating a steady reputation in helping out a SIG, the SIG team may decide to provide that person with commit access (to any stream of contributions required to show and gain merit, such as code, wiki articles, design artifacts, etc.) under the watchful eye of an assigned mentor. The individual is expected to grow in merit enough that the mentor is no longer required, and at the request of the mentor, the individual becomes a peer within the SIG committer group. The structure in a SIG is flat and a peer with 1 month of experience has as much of a voice about project direction as one with 1 or more years.

## CentOS Core SIG
A SIG with a higher barrier to entry is the CentOS Core SIG, which has the ultimate say in technical and directional decisions related to the build and components in the core. The CentOS Core SIG team is selected for membership from the CentOS Core SIG committer group, as voted on by the current team. Obtaining core team membership requires current members to give at least 3 +1 votes and no -1 votes. A -1 vote on core team membership must be based on a substantive reason, such as technical, Project merit, community behavior, etc.

A SIG that consistently has a significant number of -1 votes, especially from a single person, indicates an issue that should be brought to the attention of the Board , as it may be an indicator of a dis-functional SIG and may adversely impact the meritocracy.

## Board Members
Each Board member appointed or reconfirmed by the Board will be selected based on merit. Merit criteria have been defined to recognize, among other things, active participation in the  CentOS Project, an understanding of the Project, and an understanding and ability to balance the objectives derived from the relationship with its Red Hat-based upstream. In this regard, Candidate Board members must:

* Have demonstrated, including through active participation and contribution to the broader aspects of running the CentOS Project for an extended period of time, a solid understanding of and motivation to foster a healthy relationship to its upstream, the factors that influence and guide that ecosystem, and the need to maintain the health and vitality of that ecosystem.
* Promote CentOS and the needs of the community projects in CentOS to achieve active and vibrant adoption in the community for CentOS.
* Have the ability to debate, understand, and balance sometimes opposing CentOS Project objectives.
* Have a solid understanding of meritocracy, the merit criteria and running, operating, and/or governing a large scale FOSS community project.

Based upon the merit criteria, the existing Board may nominate additional Board members. The Board must consist of at least 8 members and is capped at a total of 11 members. The Board values user representation on the Board directly through members seated on the Board who have met the merit criteria. This is in addition to the indirect user community influence via interactions with individual Board members.

As the new CentOS grows and learns, the CentOS community may propose to the Board and/or the Board may propose its own changes to the governance and/or the merit criteria to account for, among other things, confusion or inadequacies.
